% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/HPDGClassifier.R
\name{classify}
\alias{classify}
\title{Function for applying an Hybrid Probabilistic Decision Graph classifier (HPDG) to each
observation in a dataset. The HPDG classifier predicts a class for each observation.}
\usage{
classify(hpdg_classifier, dataset)
}
\arguments{
\item{hpdg_classifier}{an Hybrid Probabilistic Decision Graph classifier.}

\item{dataset}{a String indicating the data file (the path has to be included also).
Data columns are separated by ";" and a header indicates the variables names.}
}
\value{
Return a vector of predicted values for the class variable, one for each observation in
}
\description{
Function for applying an Hybrid Probabilistic Decision Graph classifier (HPDG) to each
observation in a dataset. The HPDG classifier predicts a class for each observation.
}
\examples{
\dontrun{
## Learns a hpdg classifier from a dataset
classifier <- hpdgclassifier("data/iris.csv", "rankedCR", "MOP", 3, 2, 0.5, 5)
predicted_values <- classify (classifier, "data/iris.csv")
}

}
\seealso{
\code{\link{hpdgclassifier}}, \link{score}
}
