% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/HPDGClassifier.R
\name{evaluate}
\alias{evaluate}
\title{Function for evaluating an Hybrid Probabilistic Prediction Graph (HPDG) on a dataset.
The HPDG classifier was previously builded and is applied to predict a class value
for each observation in the given dataset. The evaluation is performed comparing the
each predicted class value with the real class value given in the dataset.}
\usage{
evaluate(hpdg_classifier, dataset)
}
\arguments{
\item{hpdg_classifier}{an Hybrid Probabilistic Decision Graph classifier.}

\item{dataset}{a String indicating the data file (the path has to be included also).
Data columns are separated by ";" and a header indicates the variables names.}
}
\value{
A classification matrix.
}
\description{
The function displays the evaluation measures computed using these real an predicted
class values.
}
\examples{
\dontrun{
## Learns a hpdg classifier from a dataset
classifier <- hpdgclassifier("data/iris.csv", "rankedCR", "MOP", 3, 2, 0.5, 5)
evaluate (classifier, "data/iris.csv")
}

}
\seealso{
\code{\link{hpdgclassifier}}, \code{\link{classificationMatrix}}
}
