% Generated by roxygen2: do not edit by hand
% Please edit documentation in R/classificationMatrix.R
\name{specificity}
\alias{specificity}
\title{Gets the proportion of negatives (i.e. observations not belonging to the class)
that are correctly identified as such. It quantifies the avoiding of false positives.
For more than two classes, these results are calculated comparing each class to the
remaining classes (i.e. a "one versus all" approach).}
\usage{
specificity(class_label, classificMatrix)
}
\arguments{
\item{class_label}{the label of the class.}

\item{classificMatrix}{a classification matrix.}
}
\value{
Returns the specificity for the given class.
}
\description{
Gets the proportion of negatives (i.e. observations not belonging to the class)
that are correctly identified as such. It quantifies the avoiding of false positives.
For more than two classes, these results are calculated comparing each class to the
remaining classes (i.e. a "one versus all" approach).
}
\examples{
## Builds a classification matrix
cl <- c("a", "b", "c")
rl <- c("a", "b", "b", "c", "a", "a")
pl <- c("a", "b", "c", "c", "b", "a")
cm <- classificationMatrix(cl, rl, pl)
spev <- specificity("a", cm)
spev <- specificity (cl[1], cm)

}
\seealso{
\link{classificationMatrix}, \link{tpr}, \link{fpr}, \link{precision}, \link{fmeasure}, \link{accuracy}
}
